import { FinancialIndicator } from "./FinancialIndicator";
import { IndicatorCalculationStrategy } from "./IndicatorCalculationStrategy";
import { Type, IList$1 } from "igniteui-react-core";
import { DependencyProperty } from "igniteui-react-core";
import { List$1 } from "igniteui-react-core";
import { FinancialCalculationDataSource } from "./FinancialCalculationDataSource";
/**
 * @hidden
 */
export declare abstract class StrategyBasedIndicator extends FinancialIndicator {
    static $t: Type;
    constructor();
    protected zc(): void;
    protected yx: IndicatorCalculationStrategy;
    protected abstract get yy(): IndicatorCalculationStrategy;
    protected abstract get zb(): Type;
    static y1: List$1<string>;
    protected y4(): number;
    zd(a: number): void;
    protected y6(): number;
    protected y3(): number;
    static zh(a: number, b: Type, c: string): DependencyProperty;
    protected static zg(a: number, b: Type): DependencyProperty;
    protected static ze(a: number, b: Type): DependencyProperty;
    protected static zi(a: number, b: Type): DependencyProperty;
    protected ya(a: number, b: number): IList$1<string>;
    protected x7(a: number, b: number): boolean;
    protected y0(a: FinancialCalculationDataSource): boolean;
    private yz;
    protected y5(a: number): number;
    protected um(a: number, b: number): FinancialCalculationDataSource;
    protected y2(): number;
    protected static zf(a: number, b: Type): DependencyProperty;
    protected o8(a: any, b: string, c: any, d: any): void;
}
